commoble.exmachina.data

## Class ComponentPropertyTypeAdapter<T>

- java.lang.Object
- - commoble.exmachina.data.ComponentPropertyTypeAdapter<T>

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<T>

    public class ComponentPropertyTypeAdapter<T>
    extends java.lang.Object
    implements com.google.gson.JsonDeserializer<T>

### Constructor Summary

Constructors
Constructor and Description
`ComponentPropertyTypeAdapter(java.lang.String mapName, java.util.function.Function<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<T>> map, java.util.function.DoubleFunction<T> fromConstant)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentPropertyTypeAdapter

    public ComponentPropertyTypeAdapter(java.lang.String mapName,
                                        java.util.function.Function<net.minecraft.util.ResourceLocation,commoble.exmachina.api.JsonObjectReader<T>> map,
                                        java.util.function.DoubleFunction<T> fromConstant)

### Method Detail

#### deserialize

    public T deserialize(com.google.gson.JsonElement json,
                         java.lang.reflect.Type typeOfT,
                         com.google.gson.JsonDeserializationContext context)
                  throws com.google.gson.JsonParseException

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<T>`
Throws:
  `com.google.gson.JsonParseException`